Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0002313 [JEDI VCL] 00 JVCL Components minor always 2004-11-12 09:51 2004-11-18 10:03
Reporter anonymous View Status public  
Assigned To user72
Priority normal Resolution fixed  
Status resolved   Product Version 3.00 BETA 2
Summary 0002313: TjvRas32 raising Exception
Description Windows NT 4.0 doesn't have RAS installed if there is no modem present in system.

And TjvRas32 is raising Exception when it cannot find RASAPI32.DLL. Because TJvRas32 component is in most cases placed to form it is not imposible to catch that exception.
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0005625)
user72
2004-11-13 14:35

Do you have a suggestion for an alternative approach?
(0005630)
anonymous (viewer)
2004-11-15 04:37

- There might be another function (LoadLibrary).
- in each property/function/procedure you try to load library if not allready loaded
- you request that before using component you have to list all conections and load library there in (GetPhoneBook procedure) and rasing exception if GetPhoneBook wasn't called.
(0005637)
user72
2004-11-15 14:58

How about a read-only boolean property that returns true if RAS is available?
(0005641)
anonymous (viewer)
2004-11-16 09:08

sounds good.
(0005651)
user72
2004-11-18 10:03

A new RasAvailable property has been added to the component and it no longer raises an exception when RAS is not available

- Issue History
Date Modified Username Field Change
2004-11-12 09:51 anonymous New Issue
2004-11-13 14:35 user72 Note Added: 0005625
2004-11-13 14:35 user72 Status new => feedback
2004-11-15 04:37 anonymous Note Added: 0005630
2004-11-15 14:58 user72 Note Added: 0005637
2004-11-16 09:08 anonymous Note Added: 0005641
2004-11-18 10:03 user72 Status feedback => resolved
2004-11-18 10:03 user72 Resolution open => fixed
2004-11-18 10:03 user72 Assigned To => user72
2004-11-18 10:03 user72 Note Added: 0005651


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker